Package org.apache.commons.imaging.formats.tiff

## Class TiffImageMetadata

- java.lang.Object
- - org.apache.commons.imaging.common.GenericImageMetadata
  - - org.apache.commons.imaging.formats.tiff.TiffImageMetadata

- All Implemented Interfaces:
    `ImageMetadata`

      public class TiffImageMetadata
      extends GenericImageMetadata

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TiffImageMetadata.Directory` |
    `static class` | `TiffImageMetadata.GPSInfo` |
    `static class` | `TiffImageMetadata.TiffMetadataItem` |

    - ### Nested classes/interfaces inherited from class org.apache.commons.imaging.common.GenericImageMetadata

      `GenericImageMetadata.GenericImageMetadataItem`

    - ### Nested classes/interfaces inherited from interface org.apache.commons.imaging.common.ImageMetadata

      `ImageMetadata.ImageMetadataItem`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `TiffContents` | `contents` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TiffImageMetadata​(TiffContents contents)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TiffDirectory` | `findDirectory​(int directoryType)` |
    `TiffField` | `findField​(TagInfo tagInfo)` |
    `TiffField` | `findField​(TagInfo tagInfo, boolean exactDirectoryMatch)` |
    `List<TiffField>` | `getAllFields()` |
    `List<? extends ImageMetadata.ImageMetadataItem>` | `getDirectories()` |
    `Object` | `getFieldValue​(TagInfo tag)` |
    `String[]` | `getFieldValue​(TagInfoAscii tag)` |
    `byte[]` | `getFieldValue​(TagInfoByte tag)` |
    `double[]` | `getFieldValue​(TagInfoDoubles tag)` |
    `float[]` | `getFieldValue​(TagInfoFloats tag)` |
    `String` | `getFieldValue​(TagInfoGpsText tag)` |
    `int[]` | `getFieldValue​(TagInfoLongs tag)` |
    `RationalNumber[]` | `getFieldValue​(TagInfoRationals tag)` |
    `byte[]` | `getFieldValue​(TagInfoSBytes tag)` |
    `short[]` | `getFieldValue​(TagInfoShorts tag)` |
    `int[]` | `getFieldValue​(TagInfoSLongs tag)` |
    `RationalNumber[]` | `getFieldValue​(TagInfoSRationals tag)` |
    `short[]` | `getFieldValue​(TagInfoSShorts tag)` |
    `String` | `getFieldValue​(TagInfoXpString tag)` |
    `TiffImageMetadata.GPSInfo` | `getGPS()` |
    `List<? extends ImageMetadata.ImageMetadataItem>` | `getItems()` |
    `TiffOutputSet` | `getOutputSet()` |

    - ### Methods inherited from class org.apache.commons.imaging.common.GenericImageMetadata

      `add, add, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### contents

          public final TiffContents contents

  - ### Constructor Detail

    - #### TiffImageMetadata

          public TiffImageMetadata​(TiffContents contents)

  - ### Method Detail

    - #### getDirectories

          public List<? extends ImageMetadata.ImageMetadataItem> getDirectories()

    - #### getItems

          public List<? extends ImageMetadata.ImageMetadataItem> getItems()

      Specified by:
        `getItems` in interface `ImageMetadata`
      Overrides:
        `getItems` in class `GenericImageMetadata`

    - #### getOutputSet

          public TiffOutputSet getOutputSet()
                                     throws ImageWriteException

      Throws:
        `ImageWriteException`

    - #### findField

          public TiffField findField​(TagInfo tagInfo)
                              throws ImageReadException

      Throws:
        `ImageReadException`

    - #### findField

          public TiffField findField​(TagInfo tagInfo,
                                     boolean exactDirectoryMatch)
                              throws ImageReadException

      Throws:
        `ImageReadException`

    - #### getFieldValue

          public Object getFieldValue​(TagInfo tag)
                               throws ImageReadException

      Throws:
        `ImageReadException`

    - #### getFieldValue

          public byte[] getFieldValue​(TagInfoByte tag)
                               throws ImageReadException

      Throws:
        `ImageReadException`

    - #### getFieldValue

          public String[] getFieldValue​(TagInfoAscii tag)
                                 throws ImageReadException

      Throws:
        `ImageReadException`

    - #### getFieldValue

          public short[] getFieldValue​(TagInfoShorts tag)
                                throws ImageReadException

      Throws:
        `ImageReadException`

    - #### getFieldValue

          public int[] getFieldValue​(TagInfoLongs tag)
                              throws ImageReadException

      Throws:
        `ImageReadException`

    - #### getFieldValue

          public RationalNumber[] getFieldValue​(TagInfoRationals tag)
                                         throws ImageReadException

      Throws:
        `ImageReadException`

    - #### getFieldValue

          public byte[] getFieldValue​(TagInfoSBytes tag)
                               throws ImageReadException

      Throws:
        `ImageReadException`

    - #### getFieldValue

          public short[] getFieldValue​(TagInfoSShorts tag)
                                throws ImageReadException

      Throws:
        `ImageReadException`

    - #### getFieldValue

          public int[] getFieldValue​(TagInfoSLongs tag)
                              throws ImageReadException

      Throws:
        `ImageReadException`

    - #### getFieldValue

          public RationalNumber[] getFieldValue​(TagInfoSRationals tag)
                                         throws ImageReadException

      Throws:
        `ImageReadException`

    - #### getFieldValue

          public float[] getFieldValue​(TagInfoFloats tag)
                                throws ImageReadException

      Throws:
        `ImageReadException`

    - #### getFieldValue

          public double[] getFieldValue​(TagInfoDoubles tag)
                                 throws ImageReadException

      Throws:
        `ImageReadException`

    - #### getFieldValue

          public String getFieldValue​(TagInfoGpsText tag)
                               throws ImageReadException

      Throws:
        `ImageReadException`

    - #### getFieldValue

          public String getFieldValue​(TagInfoXpString tag)
                               throws ImageReadException

      Throws:
        `ImageReadException`

    - #### findDirectory

          public TiffDirectory findDirectory​(int directoryType)

    - #### getAllFields

          public List<TiffField> getAllFields()

    - #### getGPS

          public TiffImageMetadata.GPSInfo getGPS()
                                           throws ImageReadException

      Throws:
        `ImageReadException`